OJS OCS OMP OHS

You are viewing the PKP Support Forum | PKP Home Wiki



This was supposed to be easy...

Are you responsible for making OJS work -- installing, upgrading, migrating or troubleshooting? Do you think you've found a bug? Post in this forum.

Moderators: jmacgreg, btbell, michael, bdgregg, barbarah, asmecher

Forum rules
The Public Knowledge Project Support Forum is moving to http://forum.pkp.sfu.ca

This forum will be maintained permanently as an archived historical resource, but all new questions should be added to the new forum. Questions will no longer be monitored on this old forum after March 30, 2015.

This was supposed to be easy...

Postby ripnix » Fri Mar 24, 2006 11:24 am

Hi there,
I'm trying to install ojs-2.1.0 on postgresql but i get this error:
Code: Select all
Fatal error: Call to undefined function: setcharset() in /usr/home/myuser/public_html/journal/lib/adodb/adodb-xmlschema.inc.php on line 1301

can anybody help me?
i get this when I do/don't change the "Connection character set" and/or Database character set. server/slient_encoding are set to SQL_ASCII but i already tried w/ Latin1, Latin9 (iso-8859-15) and UTF.
Can please anybody heeelpppp meeeeeeee... :shock:
Filipe

P.S. With MySQL installation works fine :lol:
ripnix
 
Posts: 14
Joined: Sat Jul 16, 2005 4:16 am
Location: Portugal

Postby asmecher » Fri Mar 24, 2006 1:52 pm

Hi Ripnix,

Are you using a stock installation of OJS 2.1.0-1, or have you updated ADODB or otherwise changed the source? Do you have another installation of ADODB on your server that might be conflicting with the version distributed in OJS?

Regards,
Alec Smecher
Open Journal Systems Team
asmecher
 
Posts: 10015
Joined: Wed Aug 10, 2005 12:56 pm

Postby ripnix » Sat Mar 25, 2006 12:15 pm

No. Nothing changed. Stock distribution.
Yes there is another installation of ADODB. Could it be? I'll check it out.
If there's another idea it really is welcome.
Thank you.
ripnix
 
Posts: 14
Joined: Sat Jul 16, 2005 4:16 am
Location: Portugal

Postby asmecher » Sat Mar 25, 2006 5:43 pm

Hi Ripnix,

I suspect your other installation of ADODB is conflicting with the one packaged with OJS, which has been modified slightly (including the addition of the function the error message refers to). Check to make sure that you're not including the other ADODB, e.g. with auto_prepend_file in php.ini.

Regards,
Alec Smecher
Open Journal Systems Team
asmecher
 
Posts: 10015
Joined: Wed Aug 10, 2005 12:56 pm

Postby ripnix » Wed Mar 29, 2006 6:54 am

asmecher wrote:Hi Ripnix,

I suspect your other installation of ADODB is conflicting with the one packaged with OJS, which has been modified slightly (including the addition of the function the error message refers to). Check to make sure that you're not including the other ADODB, e.g. with auto_prepend_file in php.ini.

Regards,
Alec Smecher
Open Journal Systems Team


That was it. I took the adodb line in php.ini path and it was working.
Thank you Alec.
Regards,
Filipe
ripnix
 
Posts: 14
Joined: Sat Jul 16, 2005 4:16 am
Location: Portugal


Return to OJS Technical Support

Who is online

Users browsing this forum: Bing [Bot] and 2 guests